<?php

namespace WHMCS\Module\Addon\Smsir;

use DateTime;
use WHMCS\Database\Capsule;

class Report {

    public function GetReports() {
        return Capsule::table('smsir_reports')->orderby('send_at', 'desc')->get();
    }

    public function SaveReport($subject, $phone, $message, $send_type, $response) {
        try {
            Capsule::table('smsir_reports')->insert([
                'status' => $response->status,
                'send_type' => $send_type,
                'subject' => $subject,
                'mobile' => $phone,
                'message_id' => $response->data->messageIds[0],
                'message' => $message,
                'send_at' => (new DateTime())->getTimestamp()
            ]);
        } catch (\Exception $e) {
            exit($e->getMessage());
        }
    }

}
