<?php

namespace WHMCS\Module\Addon\Smsir;

use WHMCS\Database\Capsule;

class Setting {

    public function SetDefaultSetting() {
        Capsule::table('smsir_setting')->insert([
           'name' => 'api_key'
        ]);
        Capsule::table('smsir_setting')->insert([
            'name' => 'line_number'
        ]);
        Capsule::table('smsir_setting')->insert([
            'name' => 'admin_phones'
        ]);
    }

    public function GetSettings() {
        $settings = Capsule::table('smsir_setting')->get();
        $response = [];
        foreach ($settings as $setting) {
            $response[$setting->name] = $setting->value;
        }
        return $response;
    }

    public function SetSettings($vars) {
        try {
            Capsule::table('smsir_setting')->delete();
            Capsule::table('smsir_setting')->insert([
                'name' => 'api_key',
                'value' => $_POST['api_key']
            ]);
            Capsule::table('smsir_setting')->insert([
                'name' => 'line_number',
                'value' => $_POST['line_number']
            ]);
            return ['status' => 1, 'message' => $vars['_lang']['setting-stored-success']];
        }catch (\Exception $e){
            return ['status' => 0, 'message' => $vars['_lang']['setting-stored-failed'] . $e->getMessage()];
        }
    }

}
