
<div class="card">
    <form class="form" method="post" action="?module=smsir">
        <input name="postaction" value="update-template" hidden>
        <input name="template_id" value="<?php echo $_GET['template_id']; ?>" hidden>
        <table class="form" width="100%">
            <tr>
                <td class="fieldlabel">
                    <label for="template-name" class="control-label"><?php echo $_lang['template-name']; ?></label>
                </td>
                <td class="fieldarea">
                    <input type="text" id="template-name" name="template_name" class="form-control" value="<?php echo empty($template_data->name)?'':$template_data->name; ?>">
                </td>
                <td class="fieldlabel">
                    <label for="on" class="control-label"><?php echo $_lang['on']; ?></label>
                </td>
                <td class="fieldarea">
                    <select type="text" id="on" name="on" class="form-control">
                        <option value="invoice_created" <?php echo $template_data->on==='invoice_created'?'selected':''; ?>><?php echo $_lang['template_events']['invoice_created'];?></option>
                        <option value="invoice_paid" <?php echo $template_data->on==='invoice_paid'?'selected':''; ?>><?php echo $_lang['template_events']['invoice_paid'];?></option>
                        <option value="invoice_canceled" <?php echo $template_data->on==='invoice_canceled'?'selected':''; ?>><?php echo $_lang['template_events']['invoice_canceled'];?></option>
                        <option value="invoice_reminder" <?php echo $template_data->on==='invoice_reminder'?'selected':''; ?>><?php echo $_lang['template_events']['invoice_reminder'];?></option>
                        <option value="invoice_refunded" <?php echo $template_data->on==='invoice_refunded'?'selected':''; ?>><?php echo $_lang['template_events']['invoice_refunded'];?></option>
                        <option value="ticket_open" <?php echo $template_data->on==='ticket_open'?'selected':''; ?>><?php echo $_lang['template_events']['ticket_open'];?></option>
                        <option value="ticket_close" <?php echo $template_data->on==='ticket_close'?'selected':''; ?>><?php echo $_lang['template_events']['ticket_close'];?></option>
                        <option value="ticket_admin_reply" <?php echo $template_data->on==='ticket_admin_reply'?'selected':''; ?>><?php echo $_lang['template_events']['ticket_admin_reply'];?></option>
                        <option value="ticket_user_reply" <?php echo $template_data->on==='ticket_user_reply'?'selected':''; ?>><?php echo $_lang['template_events']['ticket_user_reply'];?></option>
                        <option value="ticket_add_note" <?php echo $template_data->on==='ticket_add_note'?'selected':''; ?>><?php echo $_lang['template_events']['ticket_add_note '];?></option>
                        <option value="ticket_status_change" <?php echo $template_data->on==='ticket_status_change'?'selected':''; ?>><?php echo $_lang['template_events']['ticket_status_change'];?></option>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">
                    <label for="user-fast-send" class="control-label"><?php echo $_lang['fast-send']; ?></label>
                </td>
                <td class="fieldarea">
                    <input type="checkbox" id="user-fast-send" name="user_fast_send" value="1" <?php echo $template_data->user_fast_send?'checked':''; ?>>
                </td>
                <td class="fieldlabel">
                    <label for="user-message" class="control-label"><?php echo $_lang['user-message']; ?></label>
                </td>
                <td class="fieldarea">
                    <textarea id="user-message" name="user_message" class="form-control" rows="3"><?php echo $template_data->user_message; ?></textarea>
                    <input id="user-message" name="user_message_number" class="form-control hidden" value="<?php echo $template_data->user_message_number; ?>">
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">
                    <label for="admin-fast-send" class="control-label"><?php echo $_lang['fast-send']; ?></label>
                </td>
                <td class="fieldarea">
                    <input type="checkbox" id="admin-fast-send" name="admin_fast_send" value="1" <?php echo $template_data->admin_fast_send?'checked':''; ?>>
                </td>
                <td class="fieldlabel">
                    <label for="admin-message" class="control-label"><?php echo $_lang['admin-message']; ?></label>
                </td>
                <td class="fieldarea">
                    <textarea id="admin-message" name="admin_message" class="form-control" rows="3"><?php echo $template_data->admin_message; ?></textarea>
                    <input id="admin-message" name="admin_message_number" class="form-control" value="<?php echo $template_data->admin_message_number; ?>">
                </td>
            </tr>
            <tr>
                <td colspan="4" class="fieldarea" style="text-align: center">
                    <button type="submit" class="btn btn-success"><?php echo $_lang['update']; ?></button>
                    <a class="btn btn-default" href="?module=smsir"><?php echo $_lang['cancel']; ?></a>
                </td>
            </tr>
        </table>
    </form>
</div>
<script>
  $( document ).ready(function() {
    if ($('input#user-fast-send')[0].checked) {
      $('input#user-message').removeClass('hidden');
      $('textarea#user-message').addClass('hidden');
    }else {
      $('textarea#user-message').removeClass('hidden');
      $('input#user-message').addClass('hidden');
    }
    if ($('input#admin-fast-send')[0].checked) {
      $('input#admin-message').removeClass('hidden');
      $('textarea#admin-message').addClass('hidden');
    }else {
      $('textarea#admin-message').removeClass('hidden');
      $('input#admin-message').addClass('hidden');
    }
    spanval($('select#on').value);
  });
  $('input#user-fast-send').change( function (){
    if ($('input#user-fast-send')[0].checked) {
      $('input#user-message').removeClass('hidden');
      $('textarea#user-message').addClass('hidden');
    }else {
      $('textarea#user-message').removeClass('hidden');
      $('input#user-message').addClass('hidden');
    }
  });
  $('input#admin-fast-send').change( function (){
    if ($('input#admin-fast-send')[0].checked) {
      $('input#admin-message').removeClass('hidden');
      $('textarea#admin-message').addClass('hidden');
    }else {
      $('textarea#admin-message').removeClass('hidden');
      $('input#admin-message').addClass('hidden');
    }
  });
  $('select#on').change( function() {
    spanval(this.value);
  })
  function spanval(name) {
    var usermessage;
    var adminmessage;
    if (name.indexOf('ticket') >= 0){
      usermessage = 'ticket number: %ticketid%';
      adminmessage = 'ticket number: %ticketid%';
    } else if (name.indexOf('invoice') >= 0) {
      usermessage = 'invoice number: %invoicenum% , total: %total%';
      adminmessage = 'invoice number: %invoicenum% , total: %total%';
    } else if (name.indexOf('admin_login') >= 0) {
      usermessage = 'No Need to fill nothing sent to user';
      adminmessage = 'admin username: %username%';
    } else if (name.indexOf('user_login') >= 0) {
      adminmessage = 'No need to fill nothing sent to admin';
      usermessage = '';
    }
    if($('input#user-fast-send')[0].checked){
      usermessage = 'enter template id on sms.ir panel'
    }
    if($('input#admin-fast-send')[0].checked){
      adminmessage = 'enter template id on sms.ir panel'
    }
    $('span#user-helper').innerText = usermessage;
    $('span#admin-helper').innerText = adminmessage;
  }
</script>
