
<form class="form" method="post" action="?module=smsir">
     <input name="postaction" value="new-template" hidden/>
     <table class="form" width="100%">
         <tr>
             <td class="fieldlabel">
                 <label for="template-name" class="control-label"><?php echo $_lang['template-name']; ?></label>
             </td>
             <td class="fieldarea">
                 <input type="text" id="template-name" name="template_name" class="form-control">
             </td>
             <td class="fieldlabel">
                 <label for="on" class="control-label"><?php echo $_lang['on']; ?></label>
             </td>
             <td class="fieldarea">
                 <select type="text" id="on" name="on" class="form-control">
                     <?php foreach ($_lang['template_events'] as $name => $event) { ?>
                        <option value="<?php echo $name; ?>"><?php echo $event;?></option>
                     <?php } ?>
                 </select>
             </td>
         </tr>
         <tr>
             <td class="fieldlabel">
                 <label for="user-fast-send" class="control-label"><?php echo $_lang['fast-send']; ?></label>
             </td>
             <td class="fieldarea">
                 <input type="checkbox" id="user-fast-send" name="user_fast_send" value="1" checked/>
             </td>
             <td class="fieldlabel">
                 <label for="user-message" class="control-label"><?php echo $_lang['user-message']; ?></label>
             </td>
             <td class="fieldarea">
                 <textarea id="user-message" name="user_message" class="form-control" rows="3"></textarea>
                 <input id="user-message" name="user_message_number" class="form-control"/>
                 <span id="user-helper"></span>
             </td>
         </tr>
         <tr>
             <td class="fieldlabel">
                 <label for="admin-fast-send" class="control-label"><?php echo $_lang['fast-send']; ?></label>
             </td>
             <td class="fieldarea">
                 <input type="checkbox" id="admin-fast-send" name="admin_fast_send" value="1"/>
             </td>
             <td class="fieldlabel">
                 <label for="admin-message" class="control-label"><?php echo $_lang['admin-message']; ?></label>
             </td>
             <td class="fieldarea">
                 <textarea id="admin-message" name="admin_message" class="form-control" rows="3"></textarea>
                 <input id="admin-message" name="admin_message_number" class="form-control">
                 <span id="admin-helper"></span>
             </td>
         </tr>
         <tr>
             <td colspan="4" class="fieldarea" style="text-align: center">
                 <button type="submit" class="btn btn-success"><?php echo $_lang['submit']; ?></button>
                 <a class="btn btn-default" href="?module=smsir"><?php echo $_lang['cancel']; ?></a>
             </td>
         </tr>
     </table>
</form>
<script language="javascript">
  $( document ).ready(function() {
    if ($('input#user-fast-send')[0].checked) {
      $('input#user-message').removeClass('hidden');
      $('textarea#user-message').addClass('hidden');
    }else {
      $('textarea#user-message').removeClass('hidden');
      $('input#user-message').addClass('hidden');
    }
    if ($('input#admin-fast-send')[0].checked) {
      $('input#admin-message').removeClass('hidden');
      $('textarea#admin-message').addClass('hidden');
    }else {
      $('textarea#admin-message').removeClass('hidden');
      $('input#admin-message').addClass('hidden');
    }
    spanval($('select#on').find(":selected").val());
  });
  $('input#user-fast-send').change( function (){
    if ($('input#user-fast-send')[0].checked) {
      $('input#user-message').removeClass('hidden');
      $('textarea#user-message').addClass('hidden');
    }else {
      $('textarea#user-message').removeClass('hidden');
      $('input#user-message').addClass('hidden');
    }
    spanval($('select#on').find(":selected").val());
  });
  $('input#admin-fast-send').change( function (){
    if ($('input#admin-fast-send')[0].checked) {
      $('input#admin-message').removeClass('hidden');
      $('textarea#admin-message').addClass('hidden');
    }else {
      $('textarea#admin-message').removeClass('hidden');
      $('input#admin-message').addClass('hidden');
    }
    spanval($('select#on').find(":selected").val());
  });
  $('select#on').change( function() {
    spanval(this.value);
  })
  function spanval(name) {
    var usermessage;
    var adminmessage;
    if (name.includes('ticket')){
        usermessage = 'ticket number: %ticketnum%';
        adminmessage = 'ticket number: %ticketnum%';
    } else if (name.includes('invoice')) {
        usermessage = 'invoice number: %invoicenum% , total: %total%';
        adminmessage = 'invoice number: %invoicenum% , total: %total%';
    } else if (name.includes('admin_login')) {
      usermessage = 'No Need to fill nothing sent to user';
      adminmessage = 'admin username: %username%';
    } else if (name.includes('user_login')) {
      adminmessage = 'No need to fill nothing sent to admin';
      usermessage = '';
    }
    if($('input#user-fast-send')[0].checked){
      usermessage += '</br>enter template id on sms.ir panel'
    }
    if($('input#admin-fast-send')[0].checked){
      adminmessage += '</br>enter template id on sms.ir panel'
    }
    $('span#user-helper').html(usermessage);
    $('span#admin-helper').html(adminmessage);
  }
</script>
